vich_uploader:
    db_driver: orm

    #mappings:
    #    products:
    #        uri_prefix: /images/products
    #        upload_destination: '%kernel.project_dir%/public/images/products'
    mappings:
        structures_logo:
            uri_prefix: /uploads/logo
            upload_destination: '%kernel.project_dir%/public/uploads/logo'
            namer: Vich\UploaderBundle\Naming\UniqidNamer
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true

        photos:
            uri_prefix: /uploads/users
            upload_destination: '%kernel.project_dir%/public/uploads/users'
            namer: Vich\UploaderBundle\Naming\UniqidNamer
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true

        galeries:
            uri_prefix: /uploads/galeries
            upload_destination: '%kernel.project_dir%/public/uploads/galeries'
            namer: Vich\UploaderBundle\Naming\UniqidNamer
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true

        galeries_covers:
            uri_prefix: /uploads/galeries/covers
            upload_destination: '%kernel.project_dir%/public/uploads/galeries/covers'
            namer: Vich\UploaderBundle\Naming\UniqidNamer
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true

        mainsliders_image:
            uri_prefix: /uploads/mainsliders
            upload_destination: '%kernel.project_dir%/public/uploads/mainsliders'
            namer: Vich\UploaderBundle\Naming\UniqidNamer
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true

        logos:
            uri_prefix: /uploads/users/logos
            upload_destination: '%kernel.project_dir%/public/uploads/users/logos'
            namer: Vich\UploaderBundle\Naming\UniqidNamer
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true

        blogs_medias:
            uri_prefix: /uploads/blogs/medias
            upload_destination: '%kernel.project_dir%/public/uploads/blogs/medias'
            namer: Vich\UploaderBundle\Naming\UniqidNamer
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true

        blogs_images:
            uri_prefix: /uploads/blogs
            upload_destination: '%kernel.project_dir%/public/uploads/blogs'
            namer: Vich\UploaderBundle\Naming\UniqidNamer
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true

        blog_pdf_file:
            uri_prefix: /uploads/blogs/pdfs
            upload_destination: '%kernel.project_dir%/public/uploads/blogs/pdfs'
            namer: Vich\UploaderBundle\Naming\UniqidNamer
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true

        partenaires_images:
            uri_prefix: /uploads/partenaires
            upload_destination: '%kernel.project_dir%/public/uploads/partenaires'
            namer: Vich\UploaderBundle\Naming\UniqidNamer
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true

        pages_images:
            uri_prefix: /uploads/pages
            upload_destination: '%kernel.project_dir%/public/uploads/pages'
            namer: Vich\UploaderBundle\Naming\UniqidNamer
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true

        categories_images:
            uri_prefix: /uploads/categories
            upload_destination: '%kernel.project_dir%/public/uploads/categories'
            namer: Vich\UploaderBundle\Naming\UniqidNamer
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true

        categories_medias:
            uri_prefix: /uploads/categories/medias
            upload_destination: '%kernel.project_dir%/public/uploads/categories/medias'
            namer: Vich\UploaderBundle\Naming\UniqidNamer
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true

        abouts_images:
            uri_prefix: /uploads/abouts
            upload_destination: '%kernel.project_dir%/public/uploads/abouts'
            namer: Vich\UploaderBundle\Naming\UniqidNamer
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true

        membres_medias:
            uri_prefix: /uploads/membres/medias
            upload_destination: '%kernel.project_dir%/public/uploads/membres/medias'
            namer: Vich\UploaderBundle\Naming\UniqidNamer
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true

        membres_images:
            uri_prefix: /uploads/membres
            upload_destination: '%kernel.project_dir%/public/uploads/membres'
            namer: Vich\UploaderBundle\Naming\UniqidNamer
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true

        pdf_file:
            uri_prefix: /uploads/magazines
            upload_destination: '%kernel.project_dir%/public/uploads/magazines'
            namer: Vich\UploaderBundle\Naming\UniqidNamer
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true

        recrutement_pdf:
            uri_prefix: /uploads/recrutements
            upload_destination: '%kernel.project_dir%/public/uploads/recrutements'
            namer: Vich\UploaderBundle\Naming\UniqidNamer
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true

        magazines_image:
            uri_prefix: /uploads/magazines/covers
            upload_destination: '%kernel.project_dir%/public/uploads/magazines/covers'
            namer: Vich\UploaderBundle\Naming\UniqidNamer
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true